%define	major 0
%define libname %mklibname lqr %{major}
%define libname_old %mklibname lqr1_ 0
%define develname %mklibname lqr -d

Name: liblqr
Version: 0.4.2
Release: %mkrel 9
Summary:LiquidRescale seam-carving library
Group: System/Libraries
License: LGPLv3 and GPLv3
URL: https://liblqr.wikidot.com/
Source0: https://liblqr.wdfiles.com/local--files/en:download-page/%{name}-1-%{version}.tar.bz2
Patch0: liblqr-docbook_fixes.diff
BuildRequires:	glib2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	libxslt-proc

%description
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{libname}
Summary:	LiquidRescale seam-carving library
Group:		System/Libraries
Obsoletes:  %{libname_old}

%description -n	%{libname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{develname}
Summary:	Shared library and header files for the LiquidRescale library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lqr-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

This package contains the shared LiquidRescale library and its header files.

%prep
%setup -q -n %{name}-1-%{version}
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
%configure --disable-static
%make_build

# make the html docs
pushd docs
%__make
popd

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/liblqr-1.so.%{major}{,.*}

%files -n %{develname}
%doc docs/html/* examples
%{_includedir}/lqr-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri May 16 2025 ns80 <ns80> 0.4.2-9.mga10
+ Revision: 2183877
- try to fix building with GCC 15

* Sat Mar 19 2022 umeabot <umeabot> 0.4.2-8.mga9
+ Revision: 1799442
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4.2-7.mga8
+ Revision: 1514225
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-6.mga7
+ Revision: 1298967
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.4.2-5.mga6
+ Revision: 944399
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-4.mga5
+ Revision: 741434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 681580
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-2.mga4
+ Revision: 530241
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 luigiwalser <luigiwalser> 0.4.2-1.mga4
+ Revision: 456703
- 0.4.2

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-5.mga3
+ Revision: 357717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 fwang <fwang> 0.4.1-4.mga2
+ Revision: 166837
- drop .la files

* Sat Jan 15 2011 blino <blino> 0.4.1-4.mga1
+ Revision: 19145
- imported package liblqr


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-4mdv2011.0
+ Revision: 602570
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-3mdv2010.1
+ Revision: 520880
- rebuilt for 2010.1

* Tue Jul 07 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-2mdv2010.0
+ Revision: 393320
- We need obsolete wrong named library

* Tue Jul 07 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-1mdv2010.0
+ Revision: 393314
- New upstream required version for digikam

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2009.1
+ Revision: 357133
- New version 0.3.0

* Sat Aug 23 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-4mdv2009.0
+ Revision: 275367
- new patch release
- update license
- drop patch 1
- spec fixes

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2009.0
+ Revision: 232145
- added P1 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 163365
- import liblqr


* Thu Feb 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
- initial Mandriva package
